@import '../variables';

.web-button {
  border: none;
  cursor: pointer;
  background: $blackTransparent;
  font-family: $robotoFamily;
  padding: 12px;
  font-size: 13px;
  color: white;
  transition: 0.2s;

  &.selected {
    background: darken($darkPurple, 10%);
  }

  &:hover {
    color: white;
    background: $darkPurple;
  }

  &:active {
    background: darken($darkPurple, 20%);
  }

  &:focus {
    outline: 0;
  }
}

.web-button-2 {
  border: solid 1px rgba(white, 0.6);
  border-radius: 10px;
  cursor: pointer;
  background: none;
  font-family: $robotoFamily;
  padding: 7px 15px;
  font-size: 13px;
  color: white;
  transition: 0.2s;

  &:hover {
    color: white;
    background: rgba(white, 0.05);
    border-color: white;
  }

  &:active {
    background: rgba(white, 0.1);
    border-color: white;
  }

  &:focus {
    outline: 0;
  }
}

.web-button-3 {
  border: solid 1px $lightPurple;
  border-radius: inherit;
  cursor: pointer;
  background: none;
  font-family: $robotoFamily;
  padding: 5px;
  font-size: 13px;
  color: $lightGrey;
  transition: 0.2s;

  &.warning {
    border-color: $red;
  }

  &:hover {
    color: white;
    background: rgba(white, 0.05);
    border-color: white;
  }

  &:active {
    color: white;
    background: rgba(white, 0.1);
    border-color: white;
  }

  &:focus {
    outline: 0;
  }
}

.submit-button .button {
  background: $blue;
  color: white;
  transition: 0.2s;

  &:hover {
    background: lighten($blue, 10%);
  }

  &:active {
    background: lighten($blue, 15%);
  }

  &.disabled {
    opacity: 0.85 !important;
  }
}
